Can't compile a file with SDL library linked on Ubuntu

We have an assignment to compile a file with SDL library linked. The file itself shouldn't contain any errors since almost everyone managed to compile it. I've installed SDL 1.2 on Ubuntu 12.04...

SFML/OpenGL.hpp missing on linux

Im trying to port my sfml opengl game to linux but I ran into some problems. I managed to get a small opengl program to run as well as a sfml program but for some reason i cant get sfml openGL...

installing kivy on a Raspberry Pi with python 3.2

I am looking for an installation procedure for kivy on an Raspberry Pi with Python 3. UPDATED My procedure so far is: sudo apt-get update sudo apt-get install python3 python3-pip python3-numpy...

No video mode large enough error in pygame when using 1,8" TFT via a RPi

First off i just want to mention that i'm not actually sure that this questions is asked on the correct StackExchange, since it is a lot of different topics involved i might need to ask it...

Issue using libsdl2-image-2.0-0

Recently I've been playing around with the SDL library and wanted to start using libsdl2-image-2.0-0 along with SDL. I have been trying to get this working with Ubuntu 15.04. I have installed the...

cx-freeze, runpy and multiprocessing - multiple paths to failure

This is a bit of a complex one, and may take some of your time. The basic problem is, that on linux (Ubuntu in my test case) a cx-freeze'd version of my program (Omnitool) is not able to create...

pygame projects won't run: "pygame.error: No available video device"

UPDATE 1: I uninstalled, reinstalled, and followed the instructions on the Pygame website for installing dependencies/building Pygame. It turns out I'm missing dependencies, as Python indicates...

Configuring libgraph : SDL_Image not found even though it is installed

I got to install libgraph (1.0.1) in my Crunchbang (Debian/7.7) system. Of course you have some dependencies before that. SDL_Image was downloaded and installed from source successfully. I...

Installing npm in Ubuntu

I am truly struggling to install npm. I have installed the nodejs package successfully, but still my operating system Ubuntu 15.10 (Wily Werewolf) doesn't recognize the npm command like it is...

Error, pygame.image.load, unable to resolve

To start, this seems to be a common issue for folks but the resolves which have helped them have been little help to myself. Preliminaries, I am running Raspbian w/Pixel on the RaspberryPi3B. I...

can't install libsdl1.2-dev on Ubuntu 16.04

I'm trying to install these libraries on Ubuntu 16.04: libsdl-gfx1.2-dev libsdl-image1.2-dev libsdl1.2-dev But it only shows this error: libsdl1.2-dev : Depends: libglu1-mesa-dev but it is not...

How to link with SDL library?

Under Linux/Mint, I'm trying to compile this source code here. I got a lot of "undefined reference to Xxx" so after googling for a while, here are all the things I've installed: sudo apt-get...

Kivy cannot be installed on Ubuntu 18.04 with Python 3.7.2

I have followed the instructions on official website of kivy.org to install kivy on my system. But when I type from kivy.app import App its showing "no module named 'kivy' ". I am using ubuntu...

How to fix "pygame.error: No available video device" error related with pygame on docker?

I'm trying to run an image with a pygame script, but i get the error: pygame.error: No available video device The pygame script works good on my computer (Linux, Ubuntu 16.04, 32 bits, i installed...

run pygame with audio in docker container

I am trying to run a pygame in a docker container but I have issues with the audio. This is my Dockerfile: # This explains how to enable the video:...